#include <bits/stdc++.h>

using namespace std;

int n,m;
int niza[3];
int nizb[75000];
int t;

int main () {
    cin>>t;
    while(t--){
        cin>>n>>m;
        for(int i=1;i<=n;i++){
            cin>>niza[i];
        }
        for(int i=1;i<=m;i++){
            cin>>nizb[i];
        }
        cout<<"1"<<endl;
    }
    return 0;
}